;-----------------------------------------------------------------------------
;                            Main Menu Structures
;-----------------------------------------------------------------------------
; This file contains the two structures which the main menu uses. These
; structures can also be used by other routines in other files, by including
; this file.

struc DriveTable
        .Drive:                         resb    1
        .SupportedAddressMode:          resb    1
        .CMOSType:                      resb    1
        .PrimaryPartitionCount:         resb    1
        .SecondaryPartitionCount:       resw    1
        .Reserved:                      resb    10
        .MaxCHS_Cylinder:               resw    1
        .MaxCHS_Head:                   resb    1
        .MaxCHS_Sector:                 resb    1
        .FirstSector:                   resd    1       ; LBA address
        .TotalSpace:                    resd    1
        .AvailableSpace:                resd    1
endstruc

DriveTable.EntrySize:   equ     32



;-----------------------------------------------------------------------------
struc BootMenuTable
        .Drive:                         resb    1
        .SupportedAddressMode:          resb    1
        .CMOSType:                      resb    1
        .PrimaryPartitionCount:         resb    1
        .SecondaryPartitionCount:       resw    1
        .FileSystemID:                  resb    1
        .MatchingBootMenuEntry:         resw    1
        .Reserved:                      resb    7
        .MaxCHS_Cylinder:               resw    1
        .MaxCHS_Head:                   resb    1
        .MaxCHS_Sector:                 resb    1
        .FirstSector:                   resd    1       ; LBA address
        .TotalSpace:                    resd    1
        .AvailableSpace:                resd    1

; The following two should be disabled in later versions.
        .Name:                          resb    31
        .ActivePartition:               resb    1

endstruc
        
BootMenuTable.EntrySize:        equ     64

