; Structure of the MBR sector.
struc   MBR
        .Code                           resb    411
        .TargetLocation:                resd    1
        .TargetDrive:                   resb    1
        .BootmanagerPartitionConfig:    resb    16
        .BootmanagerConfig:             resb    12
        .SerialNumber                   resw    1
        .Entry1                         resb    16
        .Entry2                         resb    16
        .Entry3                         resb    16
        .Entry4                         resb    16
        .Signature                      resw    1
endstruc



; Structure of an entry in the partition table.
struc   MBR_Entry
        .BootFlag                       resb    1
        .BeginHead                      resb    1
        .BeginCylinderSector            resw    1
        .FileSystemID                   resb    1
        .EndHead                        resb    1
        .EndCylinderSector              resw    1
        .RelativeSector                 resd    1
        .NumberOfSectors                resd    1
endstruc



; File system id.
FSID_Unused:            equ     00h
FSID_FAT12:             equ     01h
FSID_FAT16a:            equ     04h
FSID_Extended:          equ     05h
FSID_FAT16b:            equ     06h
FSID_FAT32_CHS:         equ     0Bh
FSID_FAT32_LBA:         equ     0Ch
FSID_FAT16b_LBA:        equ     0Eh
FSID_Extended_LBA:      equ     0Fh
FSID_Bootmanager:       equ     0Ah



; Some MBR values.
BootFlagSet:            equ     080h
BootFlagClear:          equ     000h

MBR_Signature:          equ     0AA55h
